%define python_site %(echo `python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[:3] + '/site-packages')"`)
%define python_include %(echo `python -c "import sys; print (sys.prefix + '/include/python' + sys.version[:3])"`)

Summary: Python bindings for Qt.
Name: PyQt
Version: 3.5
Release: alt2
Copyright: GPL
Group: Development/Python
Source: http://www.riverbankcomputing.co.uk/download/pyqt/%{name}-x11-gpl-%version.tar.gz
patch0: pyuic3-comment.diff
URL: http://www.riverbankcomputing.co.uk/pyqt/
Requires: sip = %version-%release

# Automatically added by buildreq on Tue Dec 17 2002
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ libXft libexpat libjpeg liblcms libmng libqscintilla-devel libqt3-devel libstdc++-devel objprelink python-devel sip-devel zlib-devel

%description
Python bindings for the Qt C++ class library.  Also includes a PyQt backend
code generator for Qt Designer.

%package devel
Requires: PyQt = %version-%release
Summary:  Sip files for %name
Group: Development/Python

%description devel
Sip files for PyQt to build extension

%prep
%setup -n %name-x11-gpl-%version
%patch0

%build
rm -rf %buildroot
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%{python_site}
export QTDIR=%_libdir/qt3
echo 'yes' | python build.py -q $QTDIR -l qt-mt -b %buildroot%_bindir -d %buildroot%{python_site}
make

%install
export QTDIR=%_libdir/qt3
make install DESTDIR=%buildroot
mkdir -p %buildroot%_datadir/PyQt/sip
install sip/* %buildroot%_datadir/PyQt/sip

%files
%_bindir/*
%{python_site}/*
%doc NEWS README README.Linux ChangeLog doc/PyQt/* examples3

%files devel
%dir %_datadir/PyQt
%dir %_datadir/PyQt/sip
%_datadir/PyQt/sip/*

%changelog
* Fri Dec 20 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt2
- comment patch added ( this comment line needs for eric )
- add devel package ( need to build some extension of qt )

* Tue Dec 17 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt1
- build with qscintilla
- new release

* Mon Dec 16 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt0.1.20021205
- correct version

* Sat Dec 07 2002 Serge Sergeev <ssv@altlinux.ru> 20021205-alt1
- build from snapshot
- add documentation

* Tue Nov 05 2002 Serge Sergeev <ssv@altlinux.ru> 3.4-alt1
- new release

* Wed Sep 04 2002 Serge Sergeev <ssv@altlinux.ru> 3.3.2-alt1
- new release

* Thu Jul 25  2002 <sergeyssv@mail.ru>
- Initial release

